Delete a component secret
Deletes a secret from the component.
DELETE
/project/{project_id}/environment/{environment_id}/component/secret/{variable_id}Authorization
AuthorizationBearer token (JWT) · headerrequiredJWT token passed in the Authorization header using the Bearer <token> format.
Path parameters
project_iduuidrequiredThe unique identifier for the project
environment_iduuidrequiredThe unique identifier of the environment
variable_iduuidrequiredThe unique identifier for the variable
Query parameters
component_kindcomponent_kindrequiredThe kind of component
Allowed:
KjobKApplicationKHelmKDatabasecomponent_iduuidrequiredThe unique identifier for the component
Responses
204
Secret deleted successfully
default
Error
codeinteger<int32>requiredmessagestringrequiredreasonstringOptional stable machine-readable reason for programmatic error handling